package sgc.portal.cw.cw0402.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0402.dto.CW04020001USearch;
import sgc.portal.cw.cw0402.model.CW04020001U;
import sgc.portal.cw.cw0402.service.CW04020001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0402")
public class CW04020001UController {
	
    private final CW04020001UService service;

    public CW04020001UController(CW04020001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04020001U/selectZehrCareerAssoGradeList")
    public List<EasyHashMap<String, Object>> selectZehrCareerAssoGradeList(@RequestBody CW04020001USearch search) {
        return service.selectZehrCareerAssoGradeList(search);
    }
    
    @PostMapping("/CW04020001U/selectZehrPhmLicenseIuList")
    public List<EasyHashMap<String, Object>> selectZehrPhmLicenseIuList(@RequestBody CW04020001USearch search) {
        return service.selectZehrPhmLicenseIuList(search);
    }

    @PostMapping("/CW04020001U/saveZehrCareerAssoGrade")
    public Map<String, String> saveZehrCareerAssoGrade(@RequestBody List<CW04020001U> CW04020001U) {
    	return service.saveZehrCareerAssoGrade(CW04020001U);
    }
}


